import 'package:flutter/material.dart';

class AppColors {
  // Light Theme Colors
  static const lightPrimary = Color(0xFF03C75A); // 네이버 그린
  static const lightSecondary = Color(0xFF00BF63);
  static const lightBackground = Color(0xFFF5F5F5);
  static const lightSurface = Colors.white;
  static const lightTextPrimary = Color(0xFF222222);
  static const lightTextSecondary = Color(0xFF767676);
  static const lightDivider = Color(0xFFE5E5E5);
  static const lightError = Color(0xFFFF5252);
  static const lightText = Color(0xFF222222); // 추가
  static const lightCard = Colors.white; // 추가
  static const lightWarning = Color(0xFFFFA000);

  // Dark Theme Colors
  static const darkPrimary = Color(0xFF03C75A);
  static const darkSecondary = Color(0xFF00BF63);
  static const darkBackground = Color(0xFF121212);
  static const darkSurface = Color(0xFF1E1E1E);
  static const darkTextPrimary = Color(0xFFFFFFFF);
  static const darkTextSecondary = Color(0xFFB3B3B3);
  static const darkDivider = Color(0xFF2C2C2C);
  static const darkError = Color(0xFFFF5252);
  static const darkText = Color(0xFFFFFFFF); // 추가
  static const darkCard = Color(0xFF1E1E1E); // 추가
  static const darkWarning = Color(0xFFFFB74D);
}
